package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.WarningPusher;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface WarningPusherDAO {
	int insert(WarningPusher entity);
	int update(WarningPusher entity);
	int exist(String id);
	WarningPusher get(String id);
	int delete(String id);
	List<WarningPusher> list();
	List<WarningPusher> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<WarningPusher> findByCompanyId(String companyId);

    List<WarningPusher> findByCompanyIdList(List<String> code);
}